MPD: SongFilter Class Reference

MPD 0.20.15

Data Structures | Public Member Functions | Data Fields
SongFilter Class Reference

`#include <SongFilter.hxx>`

## Data Structures
class | Item

## Public Member Functions
| SongFilter ()=default
| gcc_nonnull (3) SongFilter(unsigned tag
| ~SongFilter ()
| gcc_nonnull (2, 3) bool Parse(const char *tag
bool | Parse (ConstBuffer< const char *> args, bool fold_case=false)
gcc_pure bool | Match (const Tag &tag) const noexcept
gcc_pure bool | Match (const DetachedSong &song) const noexcept
gcc_pure bool | Match (const LightSong &song) const noexcept
const std::list< Item > & | GetItems () const noexcept
gcc_pure bool | IsEmpty () const noexcept
gcc_pure bool | HasFoldCase () const noexcept
| Is there at least one item with "fold case" enabled? More...
gcc_pure bool | HasOtherThanBase () const noexcept
| Does this filter contain constraints other than "base"? More...
gcc_pure const char * | GetBase () const noexcept
| Returns the "base" specification (if there is one) or nullptr. More...

## Data Fields
const char * | value
const char bool | fold_case =false)

## Detailed Description

Definition at line 47 of file SongFilter.hxx.

## Constructor & Destructor Documentation

## ◆ SongFilter()

SongFilter::SongFilter | ( |  | ) |
| default

## ◆ ~SongFilter()

SongFilter::~SongFilter | ( |  | ) |

## Member Function Documentation

## ◆ gcc_nonnull() [1/2]

SongFilter::gcc_nonnull | ( | 3 |  | ) |

## ◆ gcc_nonnull() [2/2]

SongFilter::gcc_nonnull | ( | 2 | ,
|  | 3 |
| ) |  | const

## ◆ GetBase()

gcc_pure const char* SongFilter::GetBase | ( |  | ) | const
| noexcept

Returns the "base" specification (if there is one) or nullptr.

## ◆ GetItems()

const std::list<Item>& SongFilter::GetItems | ( |  | ) | const
| inlinenoexcept

Definition at line 127 of file SongFilter.hxx.

## ◆ HasFoldCase()

gcc_pure bool SongFilter::HasFoldCase | ( |  | ) | const
| inlinenoexcept

Is there at least one item with "fold case" enabled?

Definition at line 140 of file SongFilter.hxx.

## ◆ HasOtherThanBase()

gcc_pure bool SongFilter::HasOtherThanBase | ( |  | ) | const
| noexcept

Does this filter contain constraints other than "base"?

## ◆ IsEmpty()

gcc_pure bool SongFilter::IsEmpty | ( |  | ) | const
| inlinenoexcept

Definition at line 132 of file SongFilter.hxx.

## ◆ Match() [1/3]

gcc_pure bool SongFilter::Match | ( | const Tag & | tag | ) | const
| noexcept

## ◆ Match() [2/3]

gcc_pure bool SongFilter::Match | ( | const DetachedSong & | song | ) | const
| noexcept

## ◆ Match() [3/3]

gcc_pure bool SongFilter::Match | ( | const LightSong & | song | ) | const
| noexcept

## ◆ Parse()

bool SongFilter::Parse | ( | ConstBuffer< const char *> | args,
|  | bool | fold_case = `false`
| ) |  |

## Field Documentation

## ◆ fold_case

const char bool SongFilter::fold_case =false)

Definition at line 109 of file SongFilter.hxx.

## ◆ value

const char * SongFilter::value

Definition at line 109 of file SongFilter.hxx.

The documentation for this class was generated from the following file:

- SongFilter.hxx